/*
 * main.cpp
 *
 *  Created on: 22.11.2012
 *      Author: georg
 */


#include "CF30Window.h"
#include "SystemControl.h"

int main(int argc, char *argv[]){
	int success = SystemControl::searchMissingDriver();
	if(success != 0){
		std::cout << "Some drivers are missing!\n";
	}

	Gtk::Main main_obj(argc, argv);
	CF30Window window;
	main_obj.run(window);

	return EXIT_SUCCESS;
}

/*int main (int argc, char *argv[])
{
	Gtk::Main FramesApp (argc, argv);

	Gtk::Window FramesWindow;
	FramesWindow.set_title ("Frames Window");
	FramesWindow.set_position (Gtk::WIN_POS_CENTER);
	FramesWindow.set_default_size (250, 250);
	FramesWindow.set_border_width (10);

	Gtk::Table fr_table (2, 2, true);
	fr_table.set_col_spacings (10);
	fr_table.set_row_spacings (10);

	Gtk::AspectFrame frame1 ("Shadow In");
	Gtk::Frame frame2 ("Shadow Out");
	Gtk::Frame frame3 ("Shadow Etched In");
	Gtk::Frame frame4 ("Shadow Etched Out");

	frame1.set_shadow_type (Gtk::SHADOW_IN);
	frame2.set_shadow_type (Gtk::SHADOW_OUT);
	frame3.set_shadow_type (Gtk::SHADOW_ETCHED_IN);
	frame4.set_shadow_type (Gtk::SHADOW_ETCHED_OUT);

	fr_table.attach (frame1, 0, 1, 0, 1);
	fr_table.attach (frame2, 0, 1, 1, 2);
	fr_table.attach (frame3, 1, 2, 0, 1);
	fr_table.attach (frame4, 1, 2, 1, 2);

	FramesWindow.add (fr_table);

	FramesWindow.show_all_children();

	FramesApp.run (FramesWindow);

	return 0;
}*/

